from SyntaxDesc import *
import Register
gStyleBashKeyword= CharStyle(eFaceUnderline,rgb=(192,40,0))
gStyleBashExec= CharStyle(eFaceBold,rgb=(0,130,0))
def Syntax():
	return SyntaxDesc(
		Words(gStyleBashKeyword,
			"BEGIN",
			"END",
			"do",
			"done",
			"elif",
			"else",
			"esac",
			"eval",
			"fi",
			"for",
			"function",
			"if",
			"in",
			"select",
			"then",
			"until",
			"while",
			"time",
		),
		Regex(gStyleComment,
                        '#.*\n'
                ),

	)

Register.RegisterSyntax(Syntax,"Shell")

